Bug 174049 - time outputs irrelevent information even without --verbose option
time outputs irrelevent information even without --verbose option
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: time (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 20:10 EST by JW
Modified: 2014-01-12 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 09:08:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Only outputs juicy information about exit status if --verbose set (741 bytes, patch)
2005-11-23 20:12 EST, JW
no flags Details | Diff

  None (edit)
Description JW 2005-11-23 20:10:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
/usr/bin/time (make sure you get the right one!) outputs useless information even without "--verbose" option.  It is interspersed with useful output on stderr.

Version-Release number of selected component (if applicable):
time-1.7-27

How reproducible:
Always

Steps to Reproduce:
1./usr/bin/time false
2.
3.
  

Actual Results:  Command exited with non-zero status 1
0.00user 0.00system 0:00.00elapsed 0%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+141minor)pagefaults 0swaps


Expected Results:  0.00user 0.00system 0:00.00elapsed 0%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+141minor)pagefaults 0swaps


Additional info:
Comment 1 JW 2005-11-23 20:12:30 EST
Created attachment 121431 [details]
Only outputs juicy information about exit status if --verbose set

This bug was first submitted in 2002.
Comment 2 Florian La Roche 2006-05-10 09:50:23 EDT
No strong opinion from me on what should be output, but this should
hopefully also be upstream and integrated there. Have you tried submitting
this also into a new GNU release of this package?

Thanks a lot for the patch,

Florian La Roche
Comment 3 Christian Iseli 2007-01-22 05:13:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 JW 2007-01-22 05:59:48 EST
no info
Comment 5 Matthew Miller 2007-04-10 15:38:09 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 6 JW 2007-04-10 20:17:37 EDT
Applicable to Fedora Core 6. Sorry about this.
Comment 7 JW 2008-01-27 19:42:56 EST
Applicable to Fedora Core 8.

This bug was first submitted in 2002.
Comment 8 Roman Rakus 2008-03-04 09:08:13 EST
JW, your patch has been applicated, thanks a lot. Fixed in rawhide, time-1.7-33.fc9.
RR

Note You need to log in before you can comment on or make changes to this bug.